@charset "utf-8";


/* ------------------------------------------------ Parallax -------------------------------------------------------- */


/*====================================
/* クリックしたら円形背景が拡大 */
/*===================================*/
#g-nav-hg{
    display: none;
}
#g-nav-hg.panelactive{
    display: block;
    position:fixed;
    z-index: 999;
    top: 0;
    left: 0;
    width:100%;
    height: 100vh;
    animation-delay: .3s;
}
.circle-bg{
    position: fixed;
    z-index:990;
    width: 100px;
    height: 100px;
    border-radius: 50%;
    background: #79958e;
    transform: scale(0);
    right:-18px;
    top:45%;
    transition: all .6s;
}
.circle-bg.circleactive{
    transform: scale(50);
    transition: all .6s;
}
/*ナビゲーションの縦スクロール*/
#g-nav-hg-list{
    opacity: 0;
    /*ナビの数が増えた場合縦スクロール*/
    position: fixed;
    z-index: 999; 
    width: 100%;
    height: 100vh;
    overflow: auto;
    -webkit-overflow-scrolling: touch;
    margin-top: 20px;
    margin-bottom: 20px;
}
#g-nav-hg.panelactive #g-nav-hg-list{
    opacity: 1; /*クラスが付与されたら出現*/
    animation: fadeIn 1s linear;
}
/*ナビゲーション*/
#g-nav-hg ul {
    opacity: 0;/*はじめは透過0*/
}    
/*背景が出現後にナビゲーションを表示*/
#g-nav-hg.panelactive ul {
    opacity:1;
    transition: all .6s;
}


    
/*==================================================
 	animation
===================================*/

.fade {
    opacity: 0;
    transform: translateY(30px);
    transition: opacity 1.5s, transform 1s;
}.fade.active {
    opacity: 1;
    transform: translateY(0px);
}
    


.bgextend {
    animation-name: bgextendAnimeBase;
    animation-duration: 1s;
    animation-fill-mode: forwards;
    position: relative;
    overflow: hidden;
    opacity: 0;
}

@keyframes bgextendAnimeBase {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}


.bgappear {
    animation-name: bgextendAnimeSecond;
    animation-duration: 1s;
    animation-delay: 0.3s;
    animation-fill-mode: forwards;
    opacity: 0;
}

@keyframes bgextendAnimeSecond {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

.bgLRextend::before {
    animation-name: bgLRextendAnime;
    animation-duration: 1s;
    animation-fill-mode: forwards;
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: #FF8F9F;
}

@keyframes bgLRextendAnime {
    0% {
        transform-origin: left;
        transform: scaleX(0);
    }
    50% {
        transform-origin: left;
        transform: scaleX(1);
    }
    50.001% {
        transform-origin: right;
    }
    100% {
        transform-origin: right;
        transform: scaleX(0);
    }
}

.fadeUp {
    animation-name: fadeUpAnime;
    animation-duration: 1.0s;
    animation-fill-mode: forwards;
    animation-timing-function: linear;
    opacity: 0;
}

@keyframes fadeUpAnime {
    from {
        opacity: 0;
        transform: translateY(5px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

.flipLeft {
    animation-name: flipLeftAnime;
    animation-duration: 0.5s;
    animation-fill-mode: forwards;
    perspective-origin: left center;
    opacity: 0;
}

@keyframes flipLeftAnime {
    from {
        transform: perspective(600px) translate3d(0, 0, 0) rotateY(30deg);
        opacity: 0;
    }

    to {
        transform: perspective(600px) translate3d(0, 0, 0) rotateY(0deg);
        opacity: 1;
    }
}

.smooth {
    animation-name: smoothAnime;
    animation-duration: 1s;
    animation-fill-mode: forwards;
    transform-origin: left;
    opacity: 0;
}

@keyframes smoothAnime {
    from {
        transform: translate3d( 0, 100%, 0) skewY(12deg);
        opacity: 0;
    }

    to {
        transform: translate3d(0, 0, 0) skewY(0);
        opacity: 1;
    }
}

.smoothleft {
    animation-name: smoothleftAnime;
    animation-duration: 1.5s;
    animation-fill-mode: forwards;
    transform-origin: left;
    animation-timing-function: ease;
    opacity: 0;
}

@keyframes smoothleftAnime {
    from {
        transform: translate3d(-20%, 0, 0) skewY(0);
        opacity: 0;
    }

    to {
        transform: translate3d(0, 0, 0) skewY(0);
        opacity: 1;
    }
}

.smoothright {
    animation-name: smoothrightAnime;
    animation-duration: 1.5s;
    animation-fill-mode: forwards;
    transform-origin: left;
    animation-timing-function: ease;
    opacity: 0;
}

@keyframes smoothrightAnime {
    from {
        transform: translate3d(20%, 0, 0) skewY(0);
        opacity: 0;
    }

    to {
        transform: translate3d(0, 0, 0) skewY(0);
        opacity: 1;
    }
}


.fadeIn{
    animation-name:fadeInAnime;
    animation-duration:3s;
    animation-fill-mode:forwards;
    opacity:0;
}

@keyframes fadeInAnime{
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}


.fadeDown{
    animation-name:fadeDownAnime;
    animation-duration:0.5s;
    animation-fill-mode:forwards;
    opacity:0;
}

@keyframes fadeDownAnime{
    from {
        opacity: 0;
        transform: translateY(-100px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}


.fadeLeft{
    animation-name:fadeLeftAnime;
    animation-duration:0.5s;
    animation-fill-mode:forwards;
    opacity:0;
}

@keyframes fadeLeftAnime{
    from {
        opacity: 0;
        transform: translateX(-100px);
    }

    to {
        opacity: 1;
        transform: translateX(0);
    }
}


.fadeRight{
    animation-name:fadeRightAnime;
    animation-duration:1.0s;
    animation-fill-mode:forwards;
    opacity:0;
}

@keyframes fadeRightAnime{
    from {
        opacity: 0;
        transform: translateX(100px);
    }

    to {
        opacity: 1;
        transform: translateX(0);
    }
}



.bgLRextendTrigger,
.bgappearTrigger,
.fadeUpTrigger,
.flipLeftTrigger,
.smoothTrigger,
.smoothleftTrigger,
.smoothrightTrigger{
    opacity: 0;
}





